<template>
  <keep-alive>
    <fault-cause-2-list
      v-if="nodeType === 0"
      :nodeSelected="nodeSelected"
    ></fault-cause-2-list>
  </keep-alive>
</template>

<script>
import FaultCause2List from "./FaultCause2List";
export default {
  name: 'FaultCauseRight',
  components: {
    FaultCause2List,
  },
  data() {
    return {
      description: '故障原因',
      currentOrgCode: '',
      nodeType: 0,
      nodeSelected: {}
    }
  },
  methods: {},
  mounted() {
    this.$bus.$on('getCurrSelected', (data) => {  //getCurrSelected 事件 接收组件传递的参数
      this.nodeType = (data.type == undefined ? 0 : data.type);
      this.nodeSelected = data;
    })
  },
}
</script>

<style scoped>
</style>